

-- run the following script IN YOUR TARGET database
--	to enumerate any orphaned logins:
EXEC sp_change_users_login 'Report'
GO

-- if the results are empty - you're done 
--	(though you might want to run the enumerating logins script
--	   in your target database just to make sure)

-- otherwise:
--	run the following for any remaining orphaned users
--		(see books online for more info - links can be found 
--			on the SSV reference page for this video if needed).
EXEC sp_change_users_login 
	@Action = 'Update_One', 
	@UserNamePattern = 'OrphanedUserHere',
	@LoginName = 'LoginNameToMapToHere', 
	@Password = NULL
GO

--optionally, you can also run:
EXEC sp_change_users_login 
	@Action = 'Auto_Fix',
	@UserNamePattern = 'OrphanedUserHere',
	@LoginName = NULL, -- create a new login based on user name
	@Password = 'passwordHere!'
GO

-- See Books Online for more details though... 