

-- to get info on ALL logins and users/roles on your entire server:
EXEC sp_helplogins

-- otherwise, use one of the scripts below:

-- SQL Server 2005 and 2008
SELECT 
	p.name [LoginName],
	u.name [UserName],
	'User' [Type]
FROM
	sys.sysusers u
	INNER JOIN sys.server_principals p
	ON u.sid = p.sid
UNION SELECT
	l.name,
	u2.name,
	'MemberOf'
FROM
	sys.database_role_members m
	,sys.database_principals u1
	,sys.database_principals u2
	,sys.server_principals l
WHERE
	u1.sid = l.sid
	and m.member_principal_id = u1.principal_id
	and m.role_principal_id = u2.principal_id

ORDER BY 1


-- SQL Server 2000 (works on 2005 and 2008 - though depricated)
SELECT
	l.loginname [LoginName],
	u.name [UserName],
	'User' [Type]
FROM
	dbo.sysusers u
	INNER JOIN master.dbo.syslogins l
	ON u.sid = l.sid
WHERE
	u.isaliased=0
UNION SELECT
	l.loginname
	,u2.name
	,'MemberOf'
FROM
	 dbo.sysmembers	   m
	,dbo.sysusers       u1
	,dbo.sysusers       u2
	,master.dbo.syslogins                  l
WHERE
	u1.sid     = l.sid
	and m.memberuid = u1.uid
	and m.groupuid  = u2.uid
		 
ORDER BY 1

